REST APIWallet & TransactAddress

GET

List receive addresses on a wallet

Path Params

  • coin string required
    A cryptocurrency symbol or token ticker symbol
  • walletId string required

    matches ^[0-9a-f]{32}$

Query Params

  • includeBalances boolean
    Whether to include address balances

    Defaults to false

  • includeTokens boolean
    Whether to include token addresses

    Defaults to false

  • includeAllTokenAddresses boolean
    Whether to include all token addresses for receiver addresses

    Defaults to false

  • labelContains string
    A case-insensitive regular expression which will be used to filter returned addresses based on their address label.
  • limit string
    Maximum number of results to return

    >= 1 · <= 500

    Defaults to 25

  • sort string
    Sort order of returned addresses. (1 for ascending, -1 for descending)

    Defaults to 1

  • sortedField string enum
    The field by which addresses will be sorted, if not provided then sort by id by default
    tokenlabel
  • sortedFieldDirection string enum
    Sort order of the returned addresses on the sortedField
    1-1
  • chains array of string enums
    Filter by address chains
    011011202130314041
  • includeTotalAddressCount boolean
    For large wallets (>100k addresses), include total count of addresses (including addresses pending on-chain) matching the query.

    Defaults to false

  • prevId string
    Return the next batch of results, based on the nextBatchPrevId value from the previous batch

    matches ^[0-9a-f]{32}$

  • token array of strings
    This param is used to query and filter addresses by token names in case of ofc wallets
  • returnBalancesForToken string
    Name of the token that the response should include balances for. (Eth and Celo only)
  • pendingDeployment string
    Filter the addresses based on their deployment status. Return the deployed addresses if this param is passed as false and return undeployed addresses if it is passed as true. (Eth only)
  • segwit boolean
    DEPRECATED. Mutually exclusive with 'chains'. Returns only 'p2shP2wsh' unspents/addresses on true. Returns only 'p2sh' unspents/addresses on false. Equivalent to passing 10 and 11 as the only value in 'chains' on true, 0 and 1 on false.

Responses

200
OK

Response Body

object

  • coin string required
    A cryptocurrency symbol or token ticker symbol
  • pendingAddressCount number
    Total number of addresses pending on-chain initialization on this wallet Note: for wallets with many addresses (100,000 or more), this property may be omitted for performance reasons. If the pending address count is needed for a large wallet, the includeTotalAddressCount query parameter can be used to force an address count to be returned with the initial page of addresses.
  • totalAddressCount number
    Total number of addresses which match the provided query parameters. Note: for wallets with many addresses (100,000 or more), this property may be omitted for performance reasons. If the total address count is needed for a large wallet, the includeTotalAddressCount query parameter can be used to force an address count to be returned with the initial page of addresses.
  • addresses array of objects
    addresses object
    • chain number enum required
      011011202130314041
    • coin string required
      A cryptocurrency symbol or token ticker symbol
    • index number required
    • wallet string required
    • id string
      Platform public ID for an address

      matches ^[0-9a-f]{32}$

    • address string

      up to 250 characters

    • balance object
      balance object
      • balanceString string required
        String representation of the balance. Guaranteed to not lose precision.
      • confirmedBalanceString string required
        The total balance of confirmed transactions for the address (in the chain's base unit). Guaranteed to not lose precision.
      • spendableBalanceString string required
        The total balance of the address (in the chain's base unit) which may be used as inputs for creating new transactions in string representation. Guaranteed to not lose precision.
      • updated string
        The last time a transaction affected the balance of this address
      • balance number
      • lockedBalanceString string
      • reservedBalanceString string
      • totalReceived number
        The total amount received on this address (in the chain's base unit)
      • totalSent number
        The total amount sent from this address (in the chain's base unit)
      • transferCount number
      • tokens map of objects
        tokens object
        • <key> object
      • nfts map of objects
        nfts object
        • <key> object
      • unsupportedNfts map of objects
        unsupportedNfts object
        • <key> object
      • type object
      • metadata object
    • coinSpecific object
      Properties specific to certain coin types

      ONE OF

      • rootAddress string required
      • trustedTokens array of objects
        trustedTokens object
        • state string enum
          pendingactive
        • limit string
        • token string
      • addressVersion number
      • threshold number
      • bitgoKey object
      • bitgoPubKey string
    • label string
      A human-readable label for the address

      up to 250 characters

    • lastNonce number

      Defaults to -1

    • token string
    • proof string
    • signature string
    • lastConsolidatedTime string date
    • needsConsolidation boolean
    • tokenConsolidationState object
    • tokenAddress object
  • nextBatchPrevId string uuid
    When a result set is truncated, this field returns the id of the last object in the previous batch. To get the next batch of results, pass this value via the prevId query parameter.
  • count number
    Total number of addresses returned in this response
202
Accepted

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id